using Microsoft.AspNetCore.Mvc.RazorPages;
using S02_CacheTagHelpers.Services;

namespace S02_CacheTagHelpers.Pages;
public class DistributedCacheTagHelperSampleModel : PageModel {
    private readonly TimeService ts;

    public DistributedCacheTagHelperSampleModel(TimeService ts) {
        this.ts = ts;
    }

    public Lazy<string> CurrentTime => new(ts.GetCurrentTime);

}
