using S02_CacheTagHelpers.Services;

var builder = WebApplication.CreateBuilder(args);

// Initialize Razor Pages
builder.Services.AddRazorPages();

// Register the demo services
builder.Services.AddSingleton<TimeService>();

var app = builder.Build();
app.UseStaticFiles();
app.MapRazorPages();
await app.RunAsync();
