using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;

namespace S04_ResponseCaching.Pages;

[ResponseCache(CacheProfileName = "ThirtySeconds")]
public class ResponseCacheSampleModel : PageModel {

    public DateTime CurrentTime { get; set; }

    public void OnGet() {
        this.CurrentTime = DateTime.Now;
    }
}
